Uploaded image for project: 'Qt Installer Framework'
  1. Qt Installer Framework
  2. QTIFW-710

--checkupdates doesn't work

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Not Evaluated
    • Resolution: Done
    • Affects Version/s: 2.0.0
    • Fix Version/s: 2.0.1, 3.1.0, 3.0.1
    • Component/s: General
    • Labels:
      None
    • Environment:
      Windows 8.1, QtIFW 2.0
    • Commits:
      31b0637b4a1ce19c0d7698626493c199bb007adb

      Description

      Since I use the released Qt Installer Framework 2.0, I can't use --checkupdates anymore with the maintenance tool in the installed directory.

      When I use maintentancetool.exe --checkupdates -v, I get "[0] create Error-Exception: Installers cannot check for updates."

      Note that this is not the installation program, but the maintenance tool in the installation folder. It worked perfectly with the previous release of QtIFW (1.5).

      Also note that the check still works with clients that installed the software before I upgraded to the new QtIFW. Is the maintenance tool not updated?

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            installerteam Installer Team
            Reporter:
            jedi Jeroen Dierckx
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes